import { BaseResource } from "./NovaResourceBase";
import { NovaResources } from "../ResourceHolderBase";
import { Resource } from "resourceforkjs";
declare type OutfitFunctions = Array<[string, number | boolean]>;
declare class OutfResource extends BaseResource {
    constructor(resource: Resource, idSpace: NovaResources);
    readonly displayWeight: number;
    readonly mass: number;
    readonly techLevel: number;
    readonly max: number;
    readonly pictID: number;
    readonly descID: number;
    readonly cost: number;
    readonly functions: OutfitFunctions;
}
export { OutfResource };
