import { BaseResource } from "./NovaResourceBase";
import { NovaResources } from "../ResourceHolderBase";
import { Resource } from "resourceforkjs";
import { PNG } from "pngjs";
declare class RledResource extends BaseResource {
    size: number[];
    constructor(resource: Resource, idSpace: NovaResources);
    readonly bitsPerPixel: number;
    readonly numberOfFrames: number;
    readonly bytesPerRow: number;
    readonly frames: Array<PNG>;
}
export { RledResource };
