import { NovaResources } from "./ResourceHolderBase";
declare class BadDirectoryStructureError extends Error {
}
declare class IDSpaceHandler {
    private globalResources;
    private tmpBuildingResources;
    constructor(novaPath: string);
    private build;
    getIDSpace(prefix?: string | null): Promise<NovaResources>;
    private getIDSpaceUnsafe;
    addNovaPluginsDirectory(pluginsPath: string): Promise<void>;
    addNovaFilesDirectory(filePath: string): Promise<void>;
    addDirectory(dirPath: string, prefix: string): Promise<void>;
    addPlugin(filePath: string, prefix: string): Promise<boolean>;
}
export { IDSpaceHandler, BadDirectoryStructureError };
