import { ShipData } from "novadatainterface/ShipData";
import { NovaResources } from "../ResourceHolderBase";
import { ShipResource } from "../resourceParsers/ShipResource";
declare type ShipPictMap = Promise<{
    [index: string]: string;
}>;
declare type WeaponOutfitMap = ShipPictMap;
declare function ShipParseClosure(shipPictMap: ShipPictMap, weaponOutfitMap: WeaponOutfitMap, globalIDSpacePromise: Promise<NovaResources | Error>): (s: ShipResource, m: (message: string) => void) => Promise<ShipData>;
declare function ShipParse(ship: ShipResource, notFoundFunction: (message: string) => void, shipPictMap: ShipPictMap, weaponOutfitMap: WeaponOutfitMap, globalIDSpacePromise: Promise<NovaResources | Error>): Promise<ShipData>;
export { ShipParse, ShipParseClosure, ShipPictMap, WeaponOutfitMap };
