import { SpriteSheetData, SpriteSheetFramesData, SpriteSheetImageData } from "novadatainterface/SpriteSheetData";
import { RledResource } from "../resourceParsers/RledResource";
declare type SpriteSheetMulti = {
    spriteSheet: SpriteSheetData;
    spriteSheetImage: SpriteSheetImageData;
    spriteSheetFrames: SpriteSheetFramesData;
};
declare function SpriteSheetMultiParse(rled: RledResource, notFoundFunction: (m: string) => void): Promise<SpriteSheetMulti>;
export { SpriteSheetMultiParse, SpriteSheetMulti };
