import { PNG } from "pngjs";
declare class PICTParse {
    PNG: PNG;
    yRatio: number;
    xRatio: number;
    pos: number;
    d: DataView;
    constructor(dataView: DataView);
    runOpcodes(): PNG;
    readDataUint8(len: number): any[];
    readData(len: number): DataView;
    packBitsDecode(valueSize: number, data: DataView): number[];
    parseDirectBitsRect(): PNG;
    readRegionWithRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    parsePixMap(): {
        baseAddress: number;
        rowBytes: number;
        bounds: {
            x: number;
            y: number;
            width: number;
            height: number;
        };
        pmVersion: number;
        packType: number;
        packSize: number;
        hRes: number;
        vRes: number;
        pixelType: number;
        pixelSize: number;
        cmpCount: number;
        cmpSize: number;
        planeBytes: number;
        pmTable: number;
        pmReserved: number;
    };
    readQDRect(): {
        y1: number;
        x1: number;
        y2: number;
        x2: number;
    };
    readWHRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    readFixedPoint(): number;
    readByte(): number;
    reaDWord(): number;
    readWord(): number;
    readOpcode(): number;
    parseLongComment(): void;
    log(_thing: any): void;
}
export { PICTParse };
